.pagination {
  margin-top: 8rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;

  > * {
    margin-right: 1.8rem;
    margin-bottom: 0.8rem;

    @include media("md-lg") {
      margin-right: 2.4rem;
    }

    &:last-child {
      margin-right: 0;
    }
  }

  > .anchor,
  > .span {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    font-size: var(--font-size-base);
    font-weight: 600;
    color: var(--gray-2);
    background-color: transparent;
    transition: var(--transition);
    padding: 0.6rem;
    min-width: 3.8rem;
    height: 3.8rem;

    @include media("md-lg") {
      padding: 0.8rem;
      min-width: 4.8rem;
      height: 4.8rem;
    }

    &:hover:not(.-index) {
      color: var(--primary-color);
    }

    &.-current {
      color: var(--primary-color);
      cursor: default;
    }

    &.-prev,
    &.-next {
      width: 3.8rem;
      height: 3.8rem;
      padding: 0.6rem;

      > .icon {
        height: 1.4rem;
        width: 1.4rem;
      }

      @include media("md-lg") {
        min-width: 4.8rem;
        width: 4.8rem;
        height: 4.8rem;
        padding: 0.8rem;
      }
    }
  }
}
